Loading...
Searching...
No Matches
BALL::Exception::IndexOverflow Class Reference

`#include <BALL/COMMON/exception.h>`

Inheritance diagram for BALL::Exception::IndexOverflow:

## Public Member Functions

| IndexOverflow (const char *file, int line, Index index=0, Size size=0)
Public Member Functions inherited from BALL::Exception::GeneralException
| GeneralException ()
| Default constructor.
| GeneralException (const char *file, int line)
| Constructor.
| GeneralException (const char *file, int line, const String &name, const String &message)
| Constructor.
| GeneralException (const GeneralException &exception)
| Copy constructor.
virtual | ~GeneralException () throw ()
| Destructor.
const char * | getName () const
| Returns the name of the exception.
const char * | getMessage () const
| Returns the error message of the exception.
void | setMessage (const std::string &message)
| Modify the exception's error message.
int | getLine () const
| Returns the line number where it occurred.
const char * | getFile () const
| Returns the file where it occurred.

## Protected Attributes

Size | size_
Index | index_
const char * | file_
int | line_
std::string | name_
std::string | message_

## Detailed Description

Index overflow. Throw this exception to indicate an index that was larger than allowed. The constructor has two additional arguments, the values of which should be set to the index that caused the failure and the largest allowed value to simplify debugging.

Parameters

  index | the value of the index causing the problem
  size | largest value allowed for index

Definition at line 162 of file COMMON/exception.h.

## Constructor & Destructor Documentation

## IndexOverflow()

BALL::Exception::IndexOverflow::IndexOverflow | ( | const char * | file,
|  | int | line,
|  | Index | index = 0,
|  | Size | size = 0 )

## Member Data Documentation

## index_

Index BALL::Exception::IndexOverflow::index_

protected

Definition at line 171 of file COMMON/exception.h.

## size_

Size BALL::Exception::IndexOverflow::size_

protected

Definition at line 170 of file COMMON/exception.h.